Skip to content
Payments docs are in beta — the OpenAPI contract is the source of truth.API reference
VortexPayments
Esc
↑↓navigate↵open⌘Jpreview

Create a hosted merchant onboarding link

POST/v1/merchant-accounts/{merchantAccountId}/onboarding-link
Authorization
AuthorizationBearer token · headerrequired
Public API key bearer token.
Path parameters
merchantAccountIdstringrequired
Query parameters
environmentstringrequired
merchantAccountIdstringrequired
Request body
requiredapplication/json
environmentstringrequired
Allowed:sandboxproduction
createdByRefstringrequired
Responses
200Success
dataobjectrequired
requestIdstringrequired
400Bad request, including malformed JSON
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
401Missing or invalid API key
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
409Conflict, including idempotency body drift
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
422Validation failed
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
429API key rate limit exceeded
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
defaultError
errorobjectrequired
Show properties
codestringrequired
Allowed:bad_requestunauthorizedforbiddennot_foundconflictrate_limitedvalidation_failurenot_implementedinternal_error
messagestringrequired
requestIdstring
docsUrlstring
Deep link to the errors guide section for this code.
detailsobject
Request
curl -X POST "https://api.vortex.nyc/v1/merchant-accounts/string/onboarding-link?environment=string&merchantAccountId=string" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "environment": "sandbox",
  "createdByRef": "string"
}'
Response
{
  "data": {},
  "requestId": "string"
}